#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lpse.titlehead'}
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'lpse.home'}</a></li>
    <li><a href="@{admin.LpseCtr.index()}">&{'lpse.list'} </a></li>
    <li class="active">&{'lpse.edit'}</li>
</ol>

<div class="content">
#{alert /}
#{form @admin.LpseCtr.submit(),  name:'formPpe', enctype:"multipart/form-data", method:'POST' }
    #{if lpse_baru} *{ flag input LPSE baru }*
        <input hidden="hidden" name="lpse_baru" value="${lpse_baru}"/>
    #{/if}
    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.id'} <span class="warning">*</span></label>
        <div class="col-lg-9 #{errorClass 'ppe_site.pps_id'/}">
            #{if ppe_site?.pps_id && !lpse_baru}
                <input name="ppe_site.pps_id" type="hidden" value="${ppe_site.pps_id}" readonly/>
                <p class="form-control-static">${ppe_site.pps_id}</p>
            #{/if}
            #{else}
                <input name="ppe_site.pps_id" minlength="3" type="number" class="form-control #{validate 'ppe_site.pps_id'/}"
                       value="${ppe_site?.pps_id}" min="0"/>
                <div class="invalid-feedback">#{error 'ppe_site.pps_id' /}</div>
                <div class="invalid-feedback">#{error 'ppe_site.pps_id.duplicate' /}</div>
            #{/else}
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.nama'} <span class="warning">*</span></label>
        <div class="col-lg-9 #{errorClass 'ppe_site.pps_nama'/}">
            <input type="text" name="ppe_site.pps_nama" size="40" maxlength="80" value="${ppe_site?.pps_nama}"
                   class="form-control #{validate 'ppe_site.pps_nama'/}"/>
            <div class="invalid-feedback">#{error 'ppe_site.pps_nama' /}</div>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.alamat'}</label>
        <div class="col-lg-9">
            <textarea class="form-control trumbowyg" name="ppe_site.pps_alamat">${ppe_site?.pps_alamat}</textarea>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.publik'} <span class="warning">*</span></label>
        <div class="col-lg-9 #{errorClass 'ppe_site.pps_public_url'/}">
            <input type="text" name="ppe_site.pps_public_url" size="40" maxlength="80"
                   value="${ppe_site?.pps_public_url}" class="form-control #{validate 'ppe_site.pps_public_url'/}" placeholder="contoh : http://abcd.com"/>
            <div class="invalid-feedback">#{error 'ppe_site.pps_public_url' /}</div>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.kontak'}</label>
        <div class="col-lg-9">
            <textarea class="form-control trumbowyg" name="ppe_site.pps_kontak" rows="6">${ppe_site?.pps_kontak}</textarea>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.jenis'} <span class="warning">*</span></label>
        #{if lpse_baru}
            <div class="col-lg-9 #{validate 'ppe_site.stg_id'/}" style="width:300px;">
                #{selectJenisLpse 'ppe_site.stg_id' /}
                <div class="invalid-feedback">#{error 'ppe_site.stg_id' /}</div>
            </div>
        #{/if}
        #{else}
            <div class="col-lg-9 #{validate 'ppe_site.stg_id'/}"
                 style="width:300px;">#{selectJenisLpse 'ppe_site.stg_id' , value:ppe_site?.stg_id /}
                <div class="invalid-feedback">#{error 'ppe_site.stg_id' /}</div>
            </div>
        #{/else}
    </div>
    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.nosk'}</label>
        <div class="col-lg-9">
            <input type="text" name="ppe_site.pps_sk" value="${ppe_site?.pps_sk}" class="form-control" maxlength="50"/>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-3 control-label">&{'lpse.tgldaftar'} <span class="warning">*</span></label>
        <div class="col-lg-9 #{errorClass 'ppe_site.pps_tanggal_pendaftaran'/}">
            <div class="input-group date width-normal">
                <input name="ppe_site.pps_tanggal_pendaftaran" type="text"
                       value="${ppe_site?.pps_tanggal_pendaftaran?.toDatepicker()}" class="form-control"/>
                <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                <div class="invalid-feedback">#{error 'ppe_site.pps_tanggal_pendaftaran' /}</div>
            </div>
        </div>

    </div>
    <div class="form-group">
        <label class="col-lg-3 control-label">
            &{'lpse.display'}
        </label>
        <div class="col-lg-9">
            <textarea class="form-control trumbowyg" name="ppe_site.pps_display" rows="12">${ppe_site?.pps_display}</textarea>
        </div>
    </div>
    <div class="form-group row">
        <div class="col-lg-offset-3 col-lg-9">
            #{saveButton /}
			    #{if ppe_site?.pps_id}
            #{deleteButton action:@admin.LpseCtr.hapus(ppe_site.pps_id) /}
        #{/if}
			    #{backButton action:@admin.LpseCtr.index() /}
        </div>
    </div>
#{/form}
    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span>&{'lpse.dataisi'}
    </div>
</div>

#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}


#{set 'custom_script'}
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
#{/set}